Priority: Low

Assignee: Richard Duivenvoorde

Category: Python plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11171

Description

Mapfile export with the python plugin in "io" has some flaws. I tried patching some of them, and will attach the changed files:

- export of postgis statements was wrong (see ticket #1104)

- export of layers only still writes whole mapfile

- export uses proj4 string to create mapfile projection element

- export doesn't distinguish between mapfile projection and layer projection

- symbology creation changed wrt. to geometry type (e.g. WIDTH instead of SIZE, OUTLINECOLOR instead of FILLCOLOR)

- export dialog select box "units" shouldn't translate UNITS values

Use whatever you want from the suggested changes. Cheers, Michael

History

#1 - 2008-10-19 09:00 AM - Paolo Cavallini

In addition, the file is saved without extension (.map)

#2 - 2011-03-07 03:04 AM - Richard Duivenvoorde

Reviewing:

- export of postgis statements was wrong

Is fixed

- export of layers only still writes whole mapfile

Is fixed somewhere in history :-)

- export uses proj4 string to create mapfile projection element

Fix proposed only working with old project file format. Now whe have a authority node which could be used for that. But I'm not sure if mapserver will take

this (I mean other authorities then epsg ....). Besides this, the proj4 string will always work while only using the authority-code is more tricky eg on linux case

sensitive (EPSG should then be cast to epsg etc).

- export doesn't distinguish between mapfile projection and layer projection

still a 'wantohave', please issue feature request
- symbology creation changed wrt. to geometry type (e.g. WIDTH instead of SIZE, OUTLINECOLOR instead of FILLCOLOR)

Fixed somewhere in history

- export dialog select box "units" shouldn't translate UNITS values

not sure about this, fixed?

#3 - 2011-03-07 03:06 AM - Richard Duivenvoorde

- Status changed from Open to In Progress

Replying to [comment:1 pcav]:

In addition, the file is saved without extension (.map)

This is fixed somewhere in history

#4 - 2011-03-07 03:08 AM - Richard Duivenvoorde

- Resolution set to fixed

- Status changed from In Progress to Closed

I will close this issue, for it is this old, holds a lot of different issues from which most of them (or all??) are fixed in the meantime.

If parts of it are still valid, please issue new ones.

Files

ms_export.py 31.4 KB 2008-05-26 mschulz -

mapserverexport.py 6.53 KB 2008-05-26 mschulz -

ui_mapserverexport.py 15.9 KB 2008-05-26 mschulz -
